## xmpp

Description

********************************************************************

XMPP PubSub for DAViCal Copyright 2009 Rob Ostensen rob@boxacle.net Licenced http://gnu.org/copyleft/gpl.html GNU GPL v2

*******************************************************************

Located in /inc/pubsub.php (line 11)

Variable Summary
mixed $idle
mixed $jid
mixed $password
mixed $port
mixed $pubsubLayout
mixed $resource
mixed $server
mixed $status
mixed $tls
Method Summary
xmpp __construct ()
void addHandler ( $direction, $command, $handler)
void close ()
void open ([ $jid = null], [ $password = null])
void pubsubConfig ( $to, $type, $name)
void pubsubCreate ( $to, $type, $name, [ $configure = null])
void pubsubDelete ( $to, $type, $name)
void pubsubPublish ( $to, $type, $name, $contents, $nodeId)
void pubsubPurge ( $to, $type, $name)
void sendMessage ( $to, $message)
Variables
mixed $idle (line 23)

- access: public

mixed $jid (line 23)

- access: public

mixed $password (line 23)

- access: public

mixed $port (line 23)

- access: public

mixed $pubsubLayout = 'hometree' (line 23)

- access: public

mixed $resource (line 23)

- access: public

mixed $server (line 23)

- access: public

mixed $status (line 23)

- access: public

mixed $tls (line 23)

- access: public

Methods
Constructor __construct (line 26)

- access: public

xmpp __construct ()
addHandler (line 673)

- access: public

void addHandler ( $direction, $command, $handler)

- $direction
- $command
- $handler

close (line 662)

- access: public

void close ()
open (line 645)

- access: public

void open ([ $jid = null], [ $password = null])

- $jid
- $password

pubsubConfig (line 295)

- access: public

void pubsubConfig ( $to, $type, $name)

- $to
- $type
- $name

pubsubCreate (line 259)

- access: public

void pubsubCreate ( $to, $type, $name, [ $configure = null])

- $to
- $type
- $name
- $configure

pubsubDelete (line 312)

- access: public

void pubsubDelete ( $to, $type, $name)

- $to
- $type
- $name

pubsubPublish (line 346)

- access: public

void pubsubPublish ( $to, $type, $name, $contents, $nodeId)

- $to
- $type
- $name
- $contents
- $nodeId

pubsubPurge (line 329)

- access: public

void pubsubPurge ( $to, $type, $name)

- $to
- $type
- $name

sendMessage (line 249)

- access: public

void sendMessage ( $to, $message)

- $to
- $message

Documentation generated on Sat, 17 Apr 2010 12:32:28 +1200 by phpDocumentor 1.3.2